Classes which implement this interface can bind specific control elements to publish messages

### Hierarchy

- IBehaviour
  - KeyboardBehaviour
  - MouseBehaviour
  - VoiceBehaviour
  - AutocompleteBehaviour

## Index

### Constructors

- constructor

### Properties

- bindings
- channelId
- subscription
- target

### Methods

- bind
- init
- isValueValid
- unbind

## Constructors

### Protected constructor

- new IBehaviour(target: HTMLElement, bindings: BehaviorBinding | BehaviorBinding[]): IBehaviour

- - Defined in lib/api/IBehaviour.ts:12

  #### Parameters

  - ##### target: HTMLElement

  - ##### bindings: BehaviorBinding | BehaviorBinding[]

  #### Returns IBehaviour

## Properties

### Protected bindings

bindings: BehaviorBinding[]

- Defined in lib/api/IBehaviour.ts:11

### channelId

channelId: string | null = null

- Defined in lib/api/IBehaviour.ts:12

### Protected subscription

subscription: Subscription | null

- Defined in lib/api/IBehaviour.ts:10

### Protected target

target: HTMLElement

- Defined in lib/api/IBehaviour.ts:9

## Methods

### bind

- bind(gateway: Subscription): void

- - Defined in lib/api/IBehaviour.ts:31

  Adds event listeners to the invoker. The user is able to publish a message by clicking the invoker.

  #### Parameters

  - ##### gateway: Subscription

    the Subscription

  #### Returns void

### init

- init(channelId: string): void

- - Defined in lib/api/IBehaviour.ts:20

  #### Parameters

  - ##### channelId: string

  #### Returns void

### isValueValid

- isValueValid(value: string): null | false | true | ""

- - Defined in lib/api/IBehaviour.ts:38

  #### Parameters

  - ##### value: string

  #### Returns null | false | true | ""

### unbind

- unbind(): void

- - Defined in lib/api/IBehaviour.ts:44

  Removes the active event listeners

  #### Returns void

Generated using TypeDoc